classification
Title: Using sys.exc_clear should raise a Py3K warning
Type: Stage:
Components: Interpreter Core Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, georg.brandl, jeff.balogh
Priority: critical Keywords: 26backport, patch

Created on 2008-03-17 19:39 by brett.cannon, last changed 2008-03-21 20:12 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
issue2358.diff jeff.balogh, 2008-03-18 00:05 diff against r61467
Messages (4)
msg63733 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-03-17 19:39
Using sys.exc_clear should raise a Py3K warning.
msg63804 - (view) Author: Jeff Balogh (jeff.balogh) * Date: 2008-03-17 23:17
Attaching a patch that raises the warning.

Should the method documentation metion the deprecation as well?
msg63811 - (view) Author: Jeff Balogh (jeff.balogh) * Date: 2008-03-18 00:05
Attaching a fixed patch that follows PEP 7 and updates Misc/NEWS.
msg64269 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-03-21 20:12
Reformatted, added test case and committed in r61714.
History
Date User Action Args
2008-03-21 20:12:00georg.brandlsetstatus: open -> closed
resolution: accepted
messages: + msg64269
nosy: + georg.brandl
2008-03-19 18:56:58jeff.baloghsetfiles: - issue2358.diff
2008-03-18 00:05:03jeff.baloghsetfiles: + issue2358.diff
messages: + msg63811
2008-03-17 23:17:09jeff.baloghsetfiles: + issue2358.diff
nosy: + jeff.balogh
messages: + msg63804
keywords: + patch
2008-03-17 20:15:30brett.cannonsetpriority: release blocker -> critical
2008-03-17 19:39:30brett.cannoncreate